﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TreeNavigator_115879
{
    public class TreeModel : INotifyPropertyChanged
    {
        public TreeModel()
        {
            SubPages = new ObservableCollection<TreeModel>();
        }

       
        private string header;

        public string Title
        {
            get { return header; }
            set { header = value; 
                OnPropertyChanged("Header");
            }
        }

        private ObservableCollection<TreeModel> models;

        public ObservableCollection<TreeModel> SubPages
        {
            get { return models; }
            set { models = value; }
        }
               

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string name)
        {
            if(PropertyChanged != null)
                PropertyChanged(this,new PropertyChangedEventArgs(name));
        }
    }
}
